%define module  Module-CPANTS
%define name    perl-%{module}
%define version 0.20030725
%define release %mkrel 6

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        CPAN module testing
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Module/%{module}-%{version}.tar.bz2

BuildArch:      noarch


%description 
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# currently broken
#%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Module
%{perl_vendorlib}/auto/Module
%{_mandir}/*/*






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.20030725-6.mga3
+ Revision: 369773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.20030725-5.mga1
+ Revision: 22630
- cleaning spec file
- imported package perl-Module-CPANTS

